漏洞信息详情

GNU Binutils libiberty 输入验证错误漏洞

漏洞简介

GNU Binutils(GNU Binary Utilities或binutils)是GNU计划的开发的一组编程语言工具程序。该程序主要用于处理多种格式的目标文件,并提供有连接器、汇编器和其他用于目标文件和档案的工具。libiberty是其中的一个GNU程序使用的子程序的集合。

GNU Binutils 2.32版本中的libiberty存在输入验证错误漏洞。该漏洞源于网络系统或产品未对输入的数据进行正确的验证。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://gcc.gnu.org/ml/gcc-patches/2019-07/msg01003.html

受影响实体

    暂无